Bug 43620 - bad sizes in multiplot
Summary: bad sizes in multiplot
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnuplot   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-05 22:24 UTC by Michal Jaegermann
Modified: 2014-03-17 02:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-06 23:36:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
template of gnuplot source to demo sizing bug (5.74 KB, text/plain)
2001-06-05 22:26 UTC, Michal Jaegermann
no flags Details
A patch for a bug described in this report (1.39 KB, patch)
2001-06-06 23:36 UTC, Michal Jaegermann
no flags Details | Diff

Description Michal Jaegermann 2001-06-05 22:24:31 UTC
Description of Problem:
Elements which should be of the same size are not and dependency
on a size parameter is not even linear.

The bug affects gnuplot-3.7.1, and also a test version 3.8.0 from
www.gnuplot.org, hence distributions at least from 6.2 are affected.
A version 3.7 of gnuplot (hard to find nowadays) does not seem to have
this bug.

How Reproducible:
100%


Steps to Reproduce:
Run the following bash script:

#!/bin/sh

for n in $(seq 30 39) ; do
    sed "s/XX/$n/" bug.in > bug.gp
    gnuplot bug.gp
done

on an attached file bug.in. Look at produced Postscript files with gv
and note how squares on the left and on the right are changing sizes
on different pictures.

Comment 1 Michal Jaegermann 2001-06-05 22:26:03 UTC
Created attachment 20372 [details]
template of gnuplot source to demo sizing bug

Comment 2 Michal Jaegermann 2001-06-06 23:35:30 UTC
The original "victim" hit by this bug got today a patch from one of Gnuplot
developers Hans-Bernhard Broeker (broeker@physik.rwth-aachen.de).  It turns
out that rounding is incorrect when calculating positions.  The original
patch is against current CVS tree.  Attached is one redone for 2.7.1 sources
(different line offsets).  Recompiling 2.7.1 rpms with this patch makes
at least the test case to behave. :-)


Comment 3 Michal Jaegermann 2001-06-06 23:36:49 UTC
Created attachment 20512 [details]
A patch for a bug described in this report

Comment 4 Bill Nottingham 2002-01-24 04:56:15 UTC
Fixed in 3.7.1-16, thanks!


Note You need to log in before you can comment on or make changes to this bug.